# Get Order

Get a single order that the user has access to.

## GET /public/v1/commerce/orders/{id}

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5164-g77db55e8"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/commerce/orders/{id}":{"get":{"tags":["Orders"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"select","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Order":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/OrderType"}]},"status":{"allOf":[{"$ref":"#/components/schemas/OrderStatus"}]},"notes":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"statusNotes":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"template":{"allOf":[{"$ref":"#/components/schemas/Template"}],"nullable":true},"listing":{"allOf":[{"$ref":"#/components/schemas/Listing"}]},"authorization":{"allOf":[{"$ref":"#/components/schemas/Authorization"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"assignee":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"price":{"allOf":[{"$ref":"#/components/schemas/OrderSummaryPrice"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"}},"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/OrderSubscription"}},"assets":{"type":"array","items":{"$ref":"#/components/schemas/OrderAsset"}},"parameters":{"allOf":[{"$ref":"#/components/schemas/ParameterBag"}]},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"licensee":{"allOf":[{"$ref":"#/components/schemas/Licensee"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"billTo":{"allOf":[{"$ref":"#/components/schemas/Buyer"}],"nullable":true},"pricingPolicy":{"allOf":[{"$ref":"#/components/schemas/PricingPolicy"}],"nullable":true},"termsAndConditions":{"type":"array","items":{"$ref":"#/components/schemas/CommerceTermsAndConditions"}},"certificates":{"type":"array","items":{"$ref":"#/components/schemas/Certificate"}},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSource"}],"nullable":true}},"additionalProperties":false},"OrderAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"completed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"failed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"processing":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"querying":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"quoted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"OrderType":{"enum":["Purchase","Change","Termination","Configuration"],"type":"string"},"OrderStatus":{"enum":["New","Draft","Deleted","Processing","Querying","Failed","Completed","Quoted"],"type":"string"},"ParametrisedMessage":{"type":"object","properties":{"id":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"parameters":{"nullable":true}},"additionalProperties":false},"Template":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"content":{"type":"string"},"type":{"enum":["OrderProcessing","OrderQuerying","OrderCompleted","Subscription","Asset"],"type":"string"},"default":{"type":"boolean","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/TemplateExternalIdBag"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"TemplateExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"ProductRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"status":{"type":"string"}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"Listing":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"name":{"type":"string"},"authorization":{"allOf":[{"$ref":"#/components/schemas/Authorization"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"seller":{"type":"object","allOf":[{"$ref":"#/components/schemas/SellerRef"}]},"priceList":{"type":"object","allOf":[{"$ref":"#/components/schemas/PriceListRef"}]},"primary":{"type":"boolean"},"notes":{"type":"string","nullable":true},"statistics":{"allOf":[{"$ref":"#/components/schemas/ListingStatistics"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ListingEligibility"}]}},"additionalProperties":false},"Authorization":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AuthorizationExternalIdBag"}]},"currency":{"type":"string"},"notes":{"type":"string","nullable":true},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"owner":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/AuthorizationStatistics"}]},"journal":{"allOf":[{"$ref":"#/components/schemas/AuthorizationJournal"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/AuthorizationEligibility"}]},"settings":{"type":"string","nullable":true}},"additionalProperties":false},"AuthorizationExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true}},"additionalProperties":false},"Product":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"website":{"type":"string"},"status":{"type":"string"},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"settings":{"allOf":[{"$ref":"#/components/schemas/ProductSettings"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/ProductStatistics"}]}},"additionalProperties":false},"ProductAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"ProductSettings":{"type":"object","properties":{"productOrdering":{"type":"boolean"},"productRequests":{"allOf":[{"$ref":"#/components/schemas/ProductRequestsSetting"}]},"itemSelection":{"type":"boolean"},"orderQueueChanges":{"type":"boolean"},"preValidation":{"allOf":[{"$ref":"#/components/schemas/PreValidationSettings"}]},"splitBilling":{"allOf":[{"$ref":"#/components/schemas/ProductSplitBillingRequestsSetting"}]},"sendCostToErp":{"type":"boolean","nullable":true},"subscriptionCessation":{"allOf":[{"$ref":"#/components/schemas/SubscriptionCessationSetting"}]}},"additionalProperties":false},"ProductRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"name":{"type":"string","nullable":true},"label":{"type":"string","nullable":true}},"additionalProperties":false},"PreValidationSettings":{"type":"object","properties":{"purchaseOrderDraft":{"type":"boolean"},"purchaseOrderQuerying":{"type":"boolean"},"changeOrderDraft":{"type":"boolean"},"configurationOrderDraft":{"type":"boolean"},"terminationOrder":{"type":"boolean"}},"additionalProperties":false},"ProductSplitBillingRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"type":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionCessationSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"mode":{"enum":["Termination","Auto-renewal","Termination or auto-renewal"],"type":"string","nullable":true}},"additionalProperties":false},"ProductStatistics":{"type":"object","properties":{"itemCount":{"type":"integer","format":"int32"},"ordersPlacedCount":{"type":"integer","format":"int32"},"agreementCount":{"type":"integer","format":"int32"},"subscriptionCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Seller":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/SellerStatus"}],"nullable":true},"currencies":{"type":"array","items":{"$ref":"#/components/schemas/SellerCurrency"},"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"erpLink":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErpLinkRef"}]}},"additionalProperties":false},"SellerStatus":{"enum":["Active","Disabled","Offline","Deleted"],"type":"string"},"SellerCurrency":{"type":"object","properties":{"value":{"type":"string"},"billingEnabled":{"type":"boolean"},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ErpLinkRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"companyName":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ErpLinkStatus"}]}},"additionalProperties":false},"ErpLinkStatus":{"enum":["Active","Blocked"],"type":"string"},"AuthorizationStatistics":{"type":"object","properties":{"subscriptions":{"type":"integer","format":"int32"},"agreements":{"type":"integer","format":"int32"},"sellers":{"type":"integer","format":"int32"},"listings":{"type":"integer","format":"int32"}},"additionalProperties":false},"AuthorizationJournal":{"type":"object","properties":{"firstInvoiceDate":{"type":"string","format":"date-time"},"frequency":{"enum":["1m","6m","1y","3m","3y","one-time"],"type":"string"}},"additionalProperties":false},"AuthorizationEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"SellerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"PriceListRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"}},"additionalProperties":false},"ListingStatistics":{"type":"object","properties":{"subscriptions":{"type":"integer","format":"int32"},"agreements":{"type":"integer","format":"int32"}},"additionalProperties":false},"ListingEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Agreement":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AgreementAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementStatus"}]},"listing":{"allOf":[{"$ref":"#/components/schemas/Listing"}]},"authorization":{"allOf":[{"$ref":"#/components/schemas/Authorization"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AgreementSummaryPrice"}]},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"template":{"allOf":[{"$ref":"#/components/schemas/Template"}],"nullable":true},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true},"assets":{"type":"array","items":{"$ref":"#/components/schemas/Asset"},"nullable":true},"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/Subscription"},"nullable":true},"parameters":{"allOf":[{"$ref":"#/components/schemas/ParameterBag"}]},"licensee":{"allOf":[{"$ref":"#/components/schemas/Licensee"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"split":{"allOf":[{"$ref":"#/components/schemas/SplitBillingAgreement"}],"nullable":true},"termsAndConditions":{"type":"array","items":{"$ref":"#/components/schemas/CommerceTermsAndConditions"}},"certificates":{"type":"array","items":{"$ref":"#/components/schemas/Certificate"}}},"additionalProperties":false},"AgreementAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"provisioning":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AgreementStatus":{"enum":["New","Draft","Provisioning","Updating","Active","Terminated","Failed","Deleted"],"type":"string"},"AgreementSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true},"billingCurrency":{"type":"string"},"source":{"type":"string"}},"additionalProperties":false},"MarkupSourcePrice":{"type":"object","properties":{"type":{"type":"string","nullable":true},"ref":{"allOf":[{"$ref":"#/components/schemas/MarkupSourceRefPrice"}],"nullable":true}},"additionalProperties":false},"MarkupSourceRefPrice":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"AgreementLine":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AgreementLineAudit"}]},"quantity":{"type":"integer","format":"int32"},"item":{"allOf":[{"$ref":"#/components/schemas/ProductItem"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AgreementLinePrice"}]},"order":{"allOf":[{"$ref":"#/components/schemas/Order"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementLineStatus"}]},"subscription":{"allOf":[{"$ref":"#/components/schemas/Subscription"}]},"asset":{"allOf":[{"$ref":"#/components/schemas/Asset"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"description":{"type":"string","nullable":true},"info":{"allOf":[{"$ref":"#/components/schemas/PriceInfo"}]}},"additionalProperties":false},"AgreementLineAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductItem":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductItemAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductItemExternalIdBag"}]},"group":{"type":"object","allOf":[{"$ref":"#/components/schemas/ItemGroupRef"}]},"unit":{"type":"object","allOf":[{"$ref":"#/components/schemas/UnitOfMeasureRef"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"quantityNotApplicable":{"type":"boolean"},"status":{"type":"string"},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/ParameterValue"}}},"additionalProperties":false},"ProductItemAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductItemExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string"},"operations":{"type":"string","nullable":true}},"additionalProperties":false},"ItemGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"UnitOfMeasureRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"TermsEntity":{"type":"object","properties":{"model":{"enum":["one-time","usage","quantity"],"type":"string"},"period":{"enum":["1m","1y","one-time"],"type":"string"},"commitment":{"enum":["1m","1y","3y"],"type":"string","nullable":true}},"additionalProperties":false},"ParameterValue":{"type":"object","properties":{"id":{"type":"string"},"externalId":{"type":"string","nullable":true},"type":{"type":"string"},"multiple":{"type":"boolean"},"name":{"type":"string"},"value":{},"displayValue":{"type":"string"}},"additionalProperties":false},"AgreementLinePrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"unitSP":{"type":"number","format":"double","nullable":true},"unitPP":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"AgreementLineStatus":{"enum":["Active","Terminated","Deleted","Expired"],"type":"string"},"Subscription":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/SubscriptionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"startDate":{"type":"string","format":"date-time"},"terminationDate":{"type":"string","format":"date-time","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"autoRenew":{"type":"boolean"},"status":{"allOf":[{"$ref":"#/components/schemas/SubscriptionStatus"}]},"commitmentDate":{"type":"string","format":"date-time"},"price":{"allOf":[{"$ref":"#/components/schemas/SubscriptionSummaryPrice"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/SubscriptionParameterBag"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"licensee":{"allOf":[{"$ref":"#/components/schemas/Licensee"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"split":{"allOf":[{"$ref":"#/components/schemas/SplitBillingSubscription"}],"nullable":true},"splitStatus":{"allOf":[{"$ref":"#/components/schemas/SplitStatus"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true},"template":{"allOf":[{"$ref":"#/components/schemas/Template"}],"nullable":true}},"additionalProperties":false},"SubscriptionAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"expired":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"renewed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ExternalIds":{"type":"object","properties":{"client":{"type":"string","nullable":true},"operations":{"type":"string","nullable":true},"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionStatus":{"enum":["Active","Updating","Terminating","Terminated","Expired"],"type":"string"},"SubscriptionSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"SubscriptionParameterBag":{"type":"object","properties":{"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"CommerceParameter":{"type":"object","properties":{"id":{"type":"string"},"externalId":{"type":"string","nullable":true},"name":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/ParameterType"}]},"phase":{"allOf":[{"$ref":"#/components/schemas/ParameterPhase"}]},"scope":{"allOf":[{"$ref":"#/components/schemas/ParameterScope"}]},"multiple":{"type":"boolean"},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"constraints":{"allOf":[{"$ref":"#/components/schemas/ParameterConstraints"}],"nullable":true},"displayValue":{"type":"string","nullable":true},"value":{"nullable":true}},"additionalProperties":false},"ParameterType":{"enum":["SingleLineText","MultiLineText","Address","Contact","Checkbox","Choice","Subdomain","Heading","DropDown","Email","DataObject","Date"],"type":"string"},"ParameterPhase":{"enum":["Configuration","Order","Fulfillment"],"type":"string"},"ParameterScope":{"enum":["Agreement","Item","Subscription","Order","Asset"],"type":"string"},"ParameterConstraints":{"type":"object","properties":{"required":{"type":"boolean"},"hidden":{"type":"boolean"},"readonly":{"type":"boolean"},"capacity":{"allOf":[{"$ref":"#/components/schemas/CapacitySettings"}],"nullable":true}},"additionalProperties":false},"CapacitySettings":{"type":"object","properties":{"min":{"type":"integer","format":"int32"},"max":{"type":"integer","format":"int32"}},"additionalProperties":false},"Buyer":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/BuyerStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"taxId":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/SellerRef"},"nullable":true}},"additionalProperties":false},"BuyerAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unassigned":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"BuyerExternalIds":{"type":"object","properties":{"erpCompanyContact":{"type":"string","nullable":true},"erpCustomer":{"type":"string","nullable":true},"accountExternalId":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerStatus":{"enum":["Active","Enabled","Disabled","Deleted","Unassigned","Conflict","Mismatch"],"type":"string"},"Licensee":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/LicenseeAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/LicenseeStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"useBuyerAddress":{"type":"boolean","nullable":true},"description":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"seller":{"type":"object","allOf":[{"$ref":"#/components/schemas/SellerRef"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true}},"additionalProperties":false},"LicenseeAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"LicenseeStatus":{"enum":["Active","Enabled","Disabled","Deleted"],"type":"string"},"BuyerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"SplitBillingSubscription":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"subscription":{"allOf":[{"$ref":"#/components/schemas/Subscription"}]},"allocations":{"type":"array","items":{"$ref":"#/components/schemas/SplitBillingSubscriptionAllocation"}}},"additionalProperties":false},"SplitBillingSubscriptionAllocation":{"type":"object","properties":{"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"percentage":{"type":"number","format":"double"},"price":{"allOf":[{"$ref":"#/components/schemas/SplitBillingAllocationPrice"}]},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]}},"additionalProperties":false},"SplitBillingAllocationPrice":{"type":"object","properties":{"currency":{"type":"string"},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"SplitStatus":{"enum":["Disabled","Active","Review"],"type":"string"},"Asset":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AssetAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AssetSummaryPrice"}]},"template":{"allOf":[{"$ref":"#/components/schemas/Template"}],"nullable":true},"parameters":{"allOf":[{"$ref":"#/components/schemas/AssetParameterBag"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"priceList":{"allOf":[{"$ref":"#/components/schemas/PriceList"}]},"listing":{"allOf":[{"$ref":"#/components/schemas/Listing"}]},"licensee":{"allOf":[{"$ref":"#/components/schemas/Licensee"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true}},"additionalProperties":false},"AssetAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"draft":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AssetStatus":{"enum":["New","Draft","Active","Terminated"],"type":"string"},"AssetSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"AssetParameterBag":{"type":"object","properties":{"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"PriceList":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"},"precision":{"type":"integer","format":"int32"},"defaultMarkup":{"type":"number","format":"double"},"defaultMargin":{"type":"number","format":"double"},"notes":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/PriceListExternalIdBag"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/PriceListStatistics"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]}},"additionalProperties":false},"PriceListExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"PriceListStatistics":{"type":"object","properties":{"sellers":{"type":"integer","format":"int32"},"listings":{"type":"integer","format":"int32"},"priceListItems":{"type":"integer","format":"int32"},"purchasePriceItems":{"type":"integer","format":"int32"},"purchasePriceCompleteness":{"type":"integer","format":"int32"},"salesPriceItems":{"type":"integer","format":"int32"},"salesPriceCompleteness":{"type":"integer","format":"int32"},"averageMarkup":{"type":"number","format":"double"},"averageMargin":{"type":"number","format":"double"}},"additionalProperties":false},"PriceInfo":{"type":"object","properties":{"visible":{"type":"boolean"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"ParameterBag":{"type":"object","properties":{"ordering":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true},"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"SplitBillingAgreement":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"allocations":{"type":"array","items":{"$ref":"#/components/schemas/SplitBillingAgreementAllocation"},"nullable":true}},"additionalProperties":false},"SplitBillingAgreementAllocation":{"type":"object","properties":{"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"percentage":{"type":"number","format":"double"},"price":{"allOf":[{"$ref":"#/components/schemas/SplitBillingAllocationPrice"}]},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/SplitBillingAllocationStatistics"}]},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]}},"additionalProperties":false},"SplitBillingAllocationStatistics":{"type":"object","properties":{"subscriptions":{"type":"integer","format":"int32"}},"additionalProperties":false},"CommerceTermsAndConditions":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/TermsAndConditionsAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"displayOrder":{"type":"integer","format":"int32"},"status":{"type":"string"},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"accepted":{"type":"string","format":"date-time","nullable":true},"acceptedBy":{"allOf":[{"$ref":"#/components/schemas/ExtendedIdentity"}]}},"additionalProperties":false},"TermsAndConditionsAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ExtendedIdentity":{"type":"object","properties":{"id":{"type":"string"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"additionalProperties":false},"Certificate":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/CertificateAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"program":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProgramRef"}]},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"externalIds":{"allOf":[{"$ref":"#/components/schemas/CertificateExternalIds"}]},"client":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"applicableTo":{"allOf":[{"$ref":"#/components/schemas/ProgramApplicableTo"}]},"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ProgramEligibility"}]},"status":{"allOf":[{"$ref":"#/components/schemas/CertificateStatus"}]},"statusNotes":{"type":"string","nullable":true},"expirationDate":{"type":"string","format":"date","nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProgramTemplateRef"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/ProgramParameterBag"}]},"terms":{"type":"array","items":{"$ref":"#/components/schemas/CertificateTermsRef"},"nullable":true}},"additionalProperties":false},"CertificateAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"expired":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProgramRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/ProgramStatus"}]},"applicableTo":{"allOf":[{"$ref":"#/components/schemas/ProgramApplicableTo"}]},"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"},"nullable":true}},"additionalProperties":false},"ProgramStatus":{"enum":["None","Draft","Published","Unpublished","Deleted"],"type":"string"},"ProgramApplicableTo":{"enum":["Buyer","Licensee"],"type":"string"},"CertificateExternalIds":{"type":"object","properties":{"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"LicenseeRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"ProgramEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"CertificateStatus":{"enum":["Draft","Pending","Updating","Active","Terminated","Expired","Deleted"],"type":"string"},"ProgramTemplateRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/ProgramTemplateType"}]}},"additionalProperties":false},"ProgramTemplateType":{"enum":["EnrollmentProcessing","EnrollmentQuerying","EnrollmentCompleted"],"type":"string"},"ProgramParameterBag":{"type":"object","properties":{"ordering":{"type":"array","items":{"$ref":"#/components/schemas/ProgramParameter"},"nullable":true},"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/ProgramParameter"},"nullable":true}},"additionalProperties":false},"ProgramParameter":{"type":"object","properties":{"id":{"type":"string"},"externalId":{"type":"string","nullable":true},"name":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/ParameterType"}]},"phase":{"allOf":[{"$ref":"#/components/schemas/ProgramParameterPhase"}]},"multiple":{"type":"boolean"},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"constraints":{"allOf":[{"$ref":"#/components/schemas/Constraints"}]},"displayValue":{"type":"string"},"value":{"nullable":true}},"additionalProperties":false},"ProgramParameterPhase":{"enum":["Order","Fulfillment"],"type":"string"},"Constraints":{"type":"object","properties":{"hidden":{"type":"boolean","nullable":true},"readonly":{"type":"boolean","nullable":true},"required":{"type":"boolean","nullable":true},"capacity":{"allOf":[{"$ref":"#/components/schemas/CapacitySettings"}],"nullable":true}},"additionalProperties":false},"CertificateTermsRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"accepted":{"type":"string","format":"date-time","nullable":true},"acceptedBy":{"allOf":[{"$ref":"#/components/schemas/ExtendedIdentity"}]}},"additionalProperties":false},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"OrderSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"OrderLine":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"oldQuantity":{"type":"integer","format":"int32"},"quantity":{"type":"integer","format":"int32"},"price":{"allOf":[{"$ref":"#/components/schemas/OrderLinePrice"}]},"item":{"allOf":[{"$ref":"#/components/schemas/ProductItem"}]},"subscription":{"allOf":[{"$ref":"#/components/schemas/OrderSubscription"}]},"asset":{"allOf":[{"$ref":"#/components/schemas/OrderAsset"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"order":{"allOf":[{"$ref":"#/components/schemas/Order"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"description":{"type":"string","nullable":true},"info":{"allOf":[{"$ref":"#/components/schemas/PriceInfo"}]}},"additionalProperties":false},"OrderLinePrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"unitSP":{"type":"number","format":"double","nullable":true},"unitPP":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"OrderSubscription":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"startDate":{"type":"string","format":"date-time"},"terminationDate":{"type":"string","format":"date-time","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"autoRenew":{"type":"boolean"},"status":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionStatus"}]},"commitmentDate":{"type":"string","format":"date-time","nullable":true},"parameters":{"allOf":[{"$ref":"#/components/schemas/SubscriptionParameterBag"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"price":{"allOf":[{"$ref":"#/components/schemas/SubscriptionSummaryPrice"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"},"nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]}},"additionalProperties":false},"OrderSubscriptionAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"OrderSubscriptionStatus":{"enum":["Draft","Active","Deleted","Updating","Terminating","Terminated"],"type":"string"},"TemplateRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"OrderAsset":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderAssetAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AssetSummaryPrice"}]},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/AssetParameterBag"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"},"nullable":true}},"additionalProperties":false},"OrderAssetAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"draft":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PricingPolicy":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyExternalIdBag"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyEligibility"}]},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"notes":{"type":"string","nullable":true},"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"},"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyStatus"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyStatistics"}]}},"additionalProperties":false},"PricingPolicyAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deactivated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PricingPolicyExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true}},"additionalProperties":false},"PricingPolicyEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"PricingPolicyStatus":{"enum":["None","Active","Inactive","Deleted"],"type":"string"},"PricingPolicyStatistics":{"type":"object","properties":{"orders":{"type":"integer","format":"int32"},"attachments":{"type":"integer","format":"int32"}},"additionalProperties":false},"MarkupSource":{"enum":["Unknown","PriceList","PricingPolicy","Manual"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
